# Class StandardConstants

java.lang.Object
javax.net.ssl.StandardConstants

public final class StandardConstants extends Object
Standard constants definitions

Since:
  1.8

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SNI_HOST_NAME`
The "host_name" type representing of a DNS hostname (see `SNIHostName`) in a Server Name Indication (SNI) extension.

## Method Summary

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SNI_HOST_NAME

public static final int SNI_HOST_NAME
The "host_name" type representing of a DNS hostname (see `SNIHostName`) in a Server Name Indication (SNI) extension.

The SNI extension is a feature that extends the SSL/TLS protocols to indicate what server name the client is attempting to connect to during handshaking. See section 3, "Server Name Indication", of TLS Extensions (RFC 6066).

The value of this constant is 0.

External Specifications
  - RFC 6066: Transport Layer Security (TLS) Extensions: Extension Definitions
See Also:
  - `SNIServerName`
  - `SNIHostName`
  - Constant Field Values